Bug 853714 - DNS Server (bind) sometimes hang ....... [NEEDINFO]
DNS Server (bind) sometimes hang .......
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: bind (Show other bugs)
6.2
x86_64 Linux
unspecified Severity high
: rc
: ---
Assigned To: Tomáš Hozza
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-02 07:06 EDT by davidyangyi
Modified: 2014-03-04 08:38 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-04 08:38:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
atkac: needinfo? (davidyangyi)


Attachments (Terms of Use)

  None (edit)
Description davidyangyi 2012-09-02 07:06:30 EDT
Description of problem:

DNS Server (bind) sometimes hang wich errors:

# service named status
rndc: connect failed: 127.0.0.1#953: connection refused
named (pid  20043) running...

Clients cannot resolve hostname. no response.
and I cannot stop it with "service named stop". I must kill -9 and start again. and become normal.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Adam Tkac 2012-09-05 07:39:32 EDT
(In reply to comment #0)
> Description of problem:
> 
> DNS Server (bind) sometimes hang wich errors:
> 
> # service named status
> rndc: connect failed: 127.0.0.1#953: connection refused
> named (pid  20043) running...
> 
> Clients cannot resolve hostname. no response.
> and I cannot stop it with "service named stop". I must kill -9 and start
> again. and become normal.

Can you please attach more information?

1. attach your /var/log/messages when your named hangs to bugzilla
2. install bind-debuginfo
3. attach named process with gdb (gdb attach <named_pid>)
4. in gdb run "t a a bt full" and attach output

You can attach both outputs as "private attachment" if it contains private data. They will be invisible for other users.

Thank you in advance!
Comment 5 RHEL Product and Program Management 2013-10-13 20:29:23 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.
Comment 6 Tomáš Hozza 2014-03-04 08:38:54 EST
Due to lack of response and too little information to investigate this Bug,
I'm closing it as INSUFFICIENT_DATA.

If you run into the same situation in the future, feel free to reopen it and
please provide additional information using steps described in comment #2.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.